﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;

namespace hra_hadik
{
    class Segment : ICloneable
    {
        private Rectangle rectangle; 
      
        public Segment(int width, int height, int x, int y)
        {
            this.rectangle = new Rectangle(x, y, width, height);
        }
        public int X
        {
            get { return this.rectangle.X; }
            set { this.rectangle.X = value; }
        }

        public int Y
        {
            get { return this.rectangle.Y; }
            set { this.rectangle.Y = value; }
        }
        public Rectangle ToRectangle()
        {
            return this.rectangle;
        }

        public object Clone()
        {
            return MemberwiseClone();
        }
    }
}
